Subject: bug#4931: cua-selection-mode with Caps Lock turned on selects region

From: Deniz Dogan <[email-masked]>
Date: Mon, 16 Nov 2009 01:16:42 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When I have cua-selection-mode turned on at the same time as Caps
Lock, Emacs starts selecting a region when I move point as if I were
holding shift.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/deniz/usr/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.3 (i686-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-23 on stalin
Windowing system distributor `The X.Org Foundation', version 11.0.10701000
configured using `configure  '--without-rsvg' '--without-tiff'
'--without-xpm' '--prefix=/home/deniz/usr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  global-auto-complete-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> C-t o C-a C-p
C-p C-p C-p C-p C-p C-p C-l C-l C-l C-l C-p C-p M-v
M-v M-v C-v C-s s h i f t C-s C-s C-s C-s C-s C-r C-r
C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r
C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r
C-r C-r C-s C-s <return> C-a C-n C-n C-n C-n C-n C-n
C-l C-n C-n C-n C-l C-p C-l C-n C-n C-n C-n C-l C-n
C-l C-n C-l C-n C-n C-n C-l C-p M-p M-p M-n M-n M-p
C-l C-l C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-p C-p C-p C-p C-p C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-t
o C-c C-SPC C-t C-n a n n a r s SPC d å SPC s t a r
<tab> <return> C-t o C-c C-SPC C-t C-n C-t k <return>
C-t o C-t o C-t o SPC v
a <backspace> <backspace> <return> C-t o C-t C-n C-t
C-n C-t C-n C-- C-l C-t C-n C-t o C-h c C-g C-h f M-x
r C-g M-x r e p o r t - b u f <tab> <backspace> <tab>
<return>

Recent messages:
uncompressing cua-base.el.gz...done
mouse-2, RET: find function's definition
Mark saved where search started
uncompressing crisp.el.gz...done
Quit
Searching for `todo'....
Quit
Mark saved where search started
C-g runs the command keyboard-quit
Quit [2 times]

Load-path shadows:
~/.emacs.d/newsticker/newst-ticker hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-ticker
~/.emacs.d/newsticker/newst-reader hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-reader
~/.emacs.d/newsticker/newsticker hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newsticker
~/.emacs.d/newsticker/newst-plainview hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-plainview
~/.emacs.d/newsticker/newst-backend hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-backend
~/.emacs.d/newsticker/newst-treeview hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-treeview